# MemoryCompressor Class Reference

Compress one or more blocks of data. More...

`#include <MemoryCompressor.h>`

Inherits CompressorBase.

List of all members.

## Public Member Functions
bool | Compress (char *input, const unsigned inputLength, bool finish)
void | Clear (void)
| Resets the compressor and all data.

## Detailed Description

Compress one or more blocks of data.

## Member Function Documentation

bool MemoryCompressor::Compress | ( | char * | input,
|  | const unsigned | inputLength,
|  | bool | finish |
| ) |  |  |

Compress a block of data. Pass true to finish if this is the last block in the series. If you don't know if it's the last block, you can call it again with 0 for inputLength

Note:
  Data passed to input isn't necessarily immediately compressed to output. You can force a write by passing true to finish. Multiple calls concatenate the written data.

Parameters:

  `[in]` | input | A pointer to a block of data
  `[in]` | inputLength | The length of input
  `[in]` | finish | Write the last of the data.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Autopatcher/MemoryCompressor.h